package dluploadclient;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JOptionPane;

/**
 * Ecoute les vnement sur la fentre principale de l'application.
 * 
  * <p>
 * <code>
 * Copyright 2008, Maurer Gilles
 * </code>
 * <p>
 * <code>
 * This file is part of Client dl.free.fr.
 * </code>
 * <p>
 * <code>
 * Client dl.free.fr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * </code>
 *<p>
 * <code>
 * Client dl.free.fr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * </code>
 * <p>
 * <code>
 * You should have received a copy of the GNU General Public License
 * along with Client dl.free.fr. If not, see <http://www.gnu.org/licenses/>.
 * </code>
 * 
 * @author Maurer Gilles
 *
 */
public class DLUploadWindowAdapter extends WindowAdapter
{
	/**
	 * Rfrence  la fentre principale de l'application
	 */
	private DLUploadClientGUI gui;
	
	/**
	 * Constructeur par dfaut.
	 * @param gui Rfrence  la fentre principale de l'application
	 */
	public DLUploadWindowAdapter(DLUploadClientGUI gui)
	{
		this.gui = gui;
	}
	
	/* (non-Javadoc)
	 * @see java.awt.event.WindowAdapter#windowClosing(java.awt.event.WindowEvent)
	 */
	public void windowClosing(WindowEvent e)
	{
		// Si l'application n'attends pas (effectue une action)
		if(this.gui.getApplicationState() != DLUploadClientGUI.WAITING)
		{
			// On demande confirmation de la volont de quitter
			int returnValue = JOptionPane.showConfirmDialog(this.gui, "Un transfert est en cours actuellement.\nVoulez vous vraiment quitter ?", DLUploadClientGUI.WINDOWTITLE, JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE);
			// S'il dit "Oui" on quitte
			if(returnValue == 0)
			{
				System.exit(0);
			}
		}
		// Sinon, on quitte
		else
		{
			System.exit(0);
		}
	}
}
