package dluploadclient;

import javax.swing.JTextArea;

import com.enterprisedt.net.ftp.FTPMessageListener;

/**
 * Permet d'couter l'apparition de nouveaux messages FTP
 * 
 * <p>
 * <code>
 * Copyright 2008, Maurer Gilles
 * </code>
 * <p>
 * <code>
 * This file is part of Client dl.free.fr.
 * </code>
 * <p>
 * <code>
 * Client dl.free.fr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * </code>
 *<p>
 * <code>
 * Client dl.free.fr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * </code>
 * <p>
 * <code>
 * You should have received a copy of the GNU General Public License
 * along with Client dl.free.fr. If not, see <http://www.gnu.org/licenses/>.
 * </code>
 * 
 * @author Maurer Gilles
 *
 */
public class FTPMessageDisplay implements FTPMessageListener
{

	/**
	 * Rfrence  la fentre principale de l'application
	 */
	private DLUploadClientGUI gui;
	
	/**
	 * Rfrence vers le composant qui affiche le Log FTP
	 */
	private JTextArea jtxtLogFTP;
	
	/**
	 * Constructeur par dfaut
	 * @param gui Rfrence  la fentre principale de l'application
	 */
	public FTPMessageDisplay(DLUploadClientGUI gui)
	{
		this.gui = gui;
		this.jtxtLogFTP = this.gui.getjtxtLogFTP();
	}

	/* (non-Javadoc)
	 * @see com.enterprisedt.net.ftp.FTPMessageListener#logCommand(java.lang.String)
	 */
	public void logCommand(String arg0)
	{
		this.gui.addLogFTPLine(arg0 + "\n");
		this.scrollToBottomLogFTP();
	}

	/* (non-Javadoc)
	 * @see com.enterprisedt.net.ftp.FTPMessageListener#logReply(java.lang.String)
	 */
	public void logReply(String arg0)
	{
		this.gui.addLogFTPLine("<--- " + arg0 + "\n");
		this.scrollToBottomLogFTP();
	}
	
	/**
	 * Fonction qui permet d'ajouter une information dans le log FTP
	 * @param arg0 Texte  ajouter en tant qu'information dans le log
	 */
	public void logInfo(String arg0)
	{
		this.gui.addLogFTPLine("**** " + arg0 + "\n");
		this.scrollToBottomLogFTP();
	}
	
	/**
	 * Force le composant d'affichage du log FTP  afficher la dernire ligne du Log
	 */
	private void scrollToBottomLogFTP()
	{
		this.jtxtLogFTP.setCaretPosition(this.jtxtLogFTP.getText().length());
	}

}
