package dluploadclient;

import java.util.Vector;

import javax.swing.event.TableModelListener;
import javax.swing.table.TableModel;

/**
 * Modle de la table des fichiers
 * 
 * <p>
 * <code>
 * Copyright 2008, Maurer Gilles
 * </code>
 * <p>
 * <code>
 * This file is part of Client dl.free.fr.
 * </code>
 * <p>
 * <code>
 * Client dl.free.fr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * </code>
 *<p>
 * <code>
 * Client dl.free.fr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * </code>
 * <p>
 * <code>
 * You should have received a copy of the GNU General Public License
 * along with Client dl.free.fr. If not, see <http://www.gnu.org/licenses/>.
 * </code>
 * 
 * @author Maurer Gilles
 *
 */
public class FileListTableModel implements TableModel
{

	/**
	 * Nom des diffrentes colonnes du tableau
	 */
	protected Vector<String> columnNames;
	
	/**
	 * Tableau des fichiers
	 */
	protected Vector<UploadFile> data;
	
	/**
	 * Constructeur par dfaut 
	 * @param columnNames Nom des diffrentes colonnes du tableau
	 * @param data Tableau des fichiers dans le tableau
	 */
	public FileListTableModel(Vector<String> columnNames, Vector<UploadFile> data)
	{
		this.columnNames = columnNames;
		this.data = data;
	}

	/* (non-Javadoc)
	 * @see javax.swing.table.TableModel#getColumnClass(int)
	 */
	public Class<?> getColumnClass(int columnIndex)
	{
		// TODO : Ici, on obtient  priori que des String ... mais  vrifier
		return String.class;
	}

	/* (non-Javadoc)
	 * @see javax.swing.table.TableModel#getColumnCount()
	 */
	public int getColumnCount()
	{
		return columnNames.size();
	}

	/* (non-Javadoc)
	 * @see javax.swing.table.TableModel#getColumnName(int)
	 */
	public String getColumnName(int columnIndex)
	{
		return columnNames.elementAt(columnIndex);
	}

	/* (non-Javadoc)
	 * @see javax.swing.table.TableModel#getRowCount()
	 */
	public int getRowCount()
	{
		return data.size();
	}

	/* (non-Javadoc)
	 * @see javax.swing.table.TableModel#getValueAt(int, int)
	 */
	public Object getValueAt(int rowIndex, int columnIndex)
	{
		Object returnValue;
		switch (columnIndex)
		{
		case 0:
			returnValue = data.elementAt(rowIndex).getPath();
			break;
		case 1:
			returnValue = data.elementAt(rowIndex).getStateInString();
			break;
		default:
			returnValue = new Object();
			break;
		}
		return returnValue; 
	}

	/* (non-Javadoc)
	 * @see javax.swing.table.TableModel#isCellEditable(int, int)
	 */
	public boolean isCellEditable(int rowIndex, int columnIndex)
	{
		// L'dition n'est de toute faon pas envisage directement :)
		return false;
	}
	
	/* (non-Javadoc)
	 * @see javax.swing.table.TableModel#addTableModelListener(javax.swing.event.TableModelListener)
	 */
	public void addTableModelListener(TableModelListener l)
	{
		// TODO Auto-generated method stub
		
	}

	/* (non-Javadoc)
	 * @see javax.swing.table.TableModel#removeTableModelListener(javax.swing.event.TableModelListener)
	 */
	public void removeTableModelListener(TableModelListener l)
	{
		
	}

	/* (non-Javadoc)
	 * @see javax.swing.table.TableModel#setValueAt(java.lang.Object, int, int)
	 */
	public void setValueAt(Object value, int rowIndex, int columnIndex)
	{
		
	}
	
	/**
	 * Permet de supprimer l'lment  l'index index
	 * @param index Index de l'lment  supprimer
	 */
	public void removeAt(int index)
	{
		this.data.remove(index);
	}

}
