package dluploadclient;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;


/**
 * Ecoute l'appui sur le bouton qui permet de copier le contenu de la liste des URL directement dans le presse papier
 * 
 * <p>
 * <code>
 * Copyright 2008, Maurer Gilles
 * </code>
 * <p>
 * <code>
 * This file is part of Client dl.free.fr.
 * </code>
 * <p>
 * <code>
 * Client dl.free.fr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * </code>
 *<p>
 * <code>
 * Client dl.free.fr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * </code>
 * <p>
 * <code>
 * You should have received a copy of the GNU General Public License
 * along with Client dl.free.fr. If not, see <http://www.gnu.org/licenses/>.
 * </code>
 * 
 * @author Maurer Gilles
 *
 */
public class JBtnCopyToClipboardListener implements ActionListener
{
	/**
	 * Rfrence vers la fentre d'affichage des URL
	 */
	private DLUploadClientURLGUI gui;
	
	/**
	 * Constructeur par dfaut
	 * @param gui Rfrence vers la fentre d'affichage des URL
	 */
	public JBtnCopyToClipboardListener(DLUploadClientURLGUI gui)
	{
		this.gui = gui;
	}

	/* (non-Javadoc)
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	public void actionPerformed(ActionEvent e)
	{
		DLUploadClientGUI.writeToClipboard(this.gui.getContent());
	}

}
