package dluploadclient;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Iterator;
import java.util.Vector;

import javax.swing.JTable;
/**
 * Ecoute l'appui sur le bouton pour supprimer les fichiers
 * 
 * <p>
 * <code>
 * Copyright 2008, Maurer Gilles
 * </code>
 * <p>
 * <code>
 * This file is part of Client dl.free.fr.
 * </code>
 * <p>
 * <code>
 * Client dl.free.fr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * </code>
 *<p>
 * <code>
 * Client dl.free.fr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * </code>
 * <p>
 * <code>
 * You should have received a copy of the GNU General Public License
 * along with Client dl.free.fr. If not, see <http://www.gnu.org/licenses/>.
 * </code>
 * 
 * @author Maurer Gilles
 *
 */
public class JBtnDelFileListener implements ActionListener
{

	/**
	 * Rfrence vers la fentre principale de l'application
	 */
	private DLUploadClientGUI gui;
	
	/**
	 * Constructeur par dfaut
	 * @param gui Rfrence vers la fentre principale de l'application
	 */
	public JBtnDelFileListener(DLUploadClientGUI gui)
	{
		this.gui = gui;
	}
	
	/* (non-Javadoc)
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	public void actionPerformed(ActionEvent arg0)
	{
		
		Vector<UploadFile> currentFileList = this.gui.getVectFileList();
		Vector<UploadFile> fileListToDelete = new Vector<UploadFile>();
		JTable JtableFileList = this.gui.getJtableFileList();
		
		// On dsactive le composant pour viter toute modification impromptue de la slction
		JtableFileList.setEnabled(false);
		int[] selectedRows = JtableFileList.getSelectedRows();
		
		// Par prudence, on vrifie qu'il y a encore quelquechose de slectionn
		if (selectedRows.length > 0)
		{
			// On cre une liste d'objet  supprimer, l'utilisation directe des index tant dangereuse :-(
			for (int i : selectedRows)
			{
				fileListToDelete.add(currentFileList.get(i));
			}
			
			// On supprime maintenant les objets de la liste !
			
			for (Iterator<UploadFile> iterator  = fileListToDelete.iterator(); iterator.hasNext();)
			{
				UploadFile uploadFile = (UploadFile) iterator .next();
				currentFileList.remove(uploadFile);
			}
		}
		
		// On dselectionne tout le contenu
		JtableFileList.clearSelection();
		
		// On ractive le composant
		JtableFileList.setEnabled(true);
		
		// On force la table a se raffraichir
		this.gui.jtableFileListRefresh();
	}

}
