package dluploadclient;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Ecoute la case  cocher qui change le mode d'affichage du mot de passe
 * 
 * <p>
 * <code>
 * Copyright 2008, Maurer Gilles
 * </code>
 * <p>
 * <code>
 * This file is part of Client dl.free.fr.
 * </code>
 * <p>
 * <code>
 * Client dl.free.fr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * </code>
 *<p>
 * <code>
 * Client dl.free.fr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * </code>
 * <p>
 * <code>
 * You should have received a copy of the GNU General Public License
 * along with Client dl.free.fr. If not, see <http://www.gnu.org/licenses/>.
 * </code>
 * 
 * @author Maurer Gilles
 *
 */
public class JChkBoxPasswordListener implements ActionListener
{
	/**
	 * Rfrence  la fentre principale
	 */
	private DLUploadClientGUI gui;
	
	/**
	 * Le caractre qui est affich lorsque le mot de passe est cach
	 */
	private char echoChar;
	
	/**
	 * Rfrence  la fentre principale
	 * @param gui
	 */
	public JChkBoxPasswordListener(DLUploadClientGUI gui)
	{
		this.gui = gui;
		
		// On rcupre le caractre initial, il peut diffrer selon les systmes
		this.echoChar = this.gui.getJtxtPassword().getEchoChar();
	}

	/* (non-Javadoc)
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	public void actionPerformed(ActionEvent arg0)
	{
		// Si la case est coch
		if(gui.getJChkBoxPassword().isSelected())
		{
			// On met en place le caractre sauv pendant la cration de l'couteur
			this.gui.getJtxtPassword().setEchoChar(this.echoChar);
		}
		// Si la case est dcoch
		else
		{
			// On met en place le caractre NULL pour dsactiver le remplacement de caractre par un caractre unique
			this.gui.getJtxtPassword().setEchoChar((char) 0);
		}

	}

}
