/**
 * 
 */
package dluploadclient;

import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

/**
 * Ecoute la modification de la valeur de la liste de choix de mode d'affichage
 * 
 * <p>
 * <code>
 * Copyright 2008, Maurer Gilles
 * </code>
 * <p>
 * <code>
 * This file is part of Client dl.free.fr.
 * </code>
 * <p>
 * <code>
 * Client dl.free.fr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * </code>
 *<p>
 * <code>
 * Client dl.free.fr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * </code>
 * <p>
 * <code>
 * You should have received a copy of the GNU General Public License
 * along with Client dl.free.fr. If not, see <http://www.gnu.org/licenses/>.
 * </code>
 * @author Maurer Gilles
 *
 */
public class JCmbBoxModeItemListener implements ItemListener
{
	/**
	 * Rfrence a la fentre d'affichage des URL
	 */
	private DLUploadClientURLGUI gui;


	/**
	 * Constructeur par dfaut
	 * @param gui Rfrence a la fentre d'affichage des URL
	 */
	public JCmbBoxModeItemListener(DLUploadClientURLGUI gui)
	{
		this.gui = gui;
	}


	/* (non-Javadoc)
	 * @see java.awt.event.ItemListener#itemStateChanged(java.awt.event.ItemEvent)
	 */
	public void itemStateChanged(ItemEvent arg0)
	{
		// On ne ragit qu'au nouvel lment selectionn (et pas  celui qui vient de perdre la slction !)
		if(arg0.getStateChange() == ItemEvent.SELECTED)
		{
			String actualItem = (String) arg0.getItem();
			
			this.gui.generateContent(actualItem);
		}
	}

}
