package dluploadclient;

import javax.swing.JTable;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;

/**
 * Ecoute la modification de la slection de la table des fichiers
 * 
 * <p>
 * <code>
 * Copyright 2008, Maurer Gilles
 * </code>
 * <p>
 * <code>
 * This file is part of Client dl.free.fr.
 * </code>
 * <p>
 * <code>
 * Client dl.free.fr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * </code>
 *<p>
 * <code>
 * Client dl.free.fr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * </code>
 * <p>
 * <code>
 * You should have received a copy of the GNU General Public License
 * along with Client dl.free.fr. If not, see <http://www.gnu.org/licenses/>.
 * </code>
 * 
 * @author Maurer Gilles
 *
 */
public class JTableFileListListSelectionListener implements ListSelectionListener
{
	
	/**
	 * Rfrence  la table des fichiers
	 */
	private JTable jTable;

	/**
	 * Rfrence  la fentre principale
	 */
	private DLUploadClientGUI gui;
	
	public JTableFileListListSelectionListener(JTable table, DLUploadClientGUI gui)
	{
		this.jTable = table;
		this.gui = gui;
	}
	public void valueChanged(ListSelectionEvent e)
	{
		if (e.getSource() == this.jTable.getSelectionModel() && this.jTable.getRowSelectionAllowed())
		{
              // On rcupre les premire et dernire ligne de la selection prsume.
              int first = e.getFirstIndex();
              int last = e.getLastIndex();
              
              this.gui.setJtableFileListSomethinSelected(this.isSomethingSelected(first, last));
              this.gui.launchEventAndStatusManager();
		}

	}
	
	/**
	 * Fonction qui indique si quelquechose est selectionn entre les deux index de lignes.
	 * @param rangeMin Borne infrieure de la recherche
	 * @param rangeMax Borne suprieure de la recherche
	 * @return true si quelquechose est selectionn, false sinon
	 */
	private boolean isSomethingSelected(int rangeMin, int rangeMax)
	{
		boolean result = false;
		for (int r = rangeMin; r <= rangeMax; r++)
		{
			result = result || this.jTable.isCellSelected(r, 0);
		}
		return result;
	}

}
