package dluploadclient;

import java.awt.Container;
import java.awt.Frame;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import javax.swing.*;

/**
 * Boite de dialoge qui affiche un message indiquant de patienter
 * 
 * <p>
 * <code>
 * Copyright 2008, Maurer Gilles
 * </code>
 * <p>
 * <code>
 * This file is part of Client dl.free.fr.
 * </code>
 * <p>
 * <code>
 * Client dl.free.fr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * </code>
 *<p>
 * <code>
 * Client dl.free.fr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * </code>
 * <p>
 * <code>
 * You should have received a copy of the GNU General Public License
 * along with Client dl.free.fr. If not, see <http://www.gnu.org/licenses/>.
 * </code>
 * 
 * @author Maurer Gilles
 *
 */

public class JWaitDialog extends JDialog
{
	/**
	 * Numro de Srie pour la srialisation 
	 */
	private static final long serialVersionUID = -6394204752332786551L;

	/**
	 * Texte affich pour l'attene
	 */
	private JLabel jLblWaitText;
	
	/**
	 * Barre de progression
	 */
	private JProgressBar jProgressBarWait;
	
	public JWaitDialog (Frame owner, String title, boolean modal)
	{
		super(owner, title, modal);
		
		// On met en place le Layout Manager
		GridBagLayout windowLayout = new GridBagLayout();
		Container contentPane = this.getContentPane();
		contentPane.setLayout(windowLayout);
		
		// On cre les composants
		this.jLblWaitText = new JLabel("Veuillez patienter pendant l'ajout des fichiers");
		this.jProgressBarWait = new JProgressBar();
		jProgressBarWait.setIndeterminate(true);
		
		// On ajoute les composant avec les contraintes
		Insets globalInsets = new Insets(5, 5, 5, 5);
		GridBagConstraints constraint = new GridBagConstraints();
		constraint.gridx = 0;
		constraint.gridy = 0;
		constraint.ipadx = DLUploadClientGUI.VERTICAL_PADDING;
		constraint.ipady = DLUploadClientGUI.HORIZONTAL_PADDING;
		constraint.insets = globalInsets;
		constraint.weightx = 1;
		constraint.weighty = 1;
		constraint.fill = GridBagConstraints.BOTH;
		contentPane.add(jLblWaitText, constraint);
		
		constraint = new GridBagConstraints();
		constraint.gridx = 0;
		constraint.gridy = 1;
		constraint.ipadx = DLUploadClientGUI.VERTICAL_PADDING;
		constraint.ipady = DLUploadClientGUI.HORIZONTAL_PADDING;
		constraint.insets = globalInsets;
		constraint.weightx = 1;
		constraint.weighty = 1;
		constraint.fill = GridBagConstraints.BOTH;
		contentPane.add(jProgressBarWait, constraint);
		
		// On dfini les paramtres de la boite de dialogue
		this.pack();
		this.setDefaultCloseOperation(JDialog.DO_NOTHING_ON_CLOSE);
		
	}
   
}