/**
 * 
 */
package dluploadclient;

import java.io.File;

import javax.swing.JFileChooser;

/**
 * Sous processus qui gre l'affichage de la boite de dialogue d'attente
 * 
 * <p>
 * <code>
 * Copyright 2008, Maurer Gilles
 * </code>
 * <p>
 * <code>
 * This file is part of Client dl.free.fr.
 * </code>
 * <p>
 * <code>
 * Client dl.free.fr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * </code>
 *<p>
 * <code>
 * Client dl.free.fr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * </code>
 * <p>
 * <code>
 * You should have received a copy of the GNU General Public License
 * along with Client dl.free.fr. If not, see <http://www.gnu.org/licenses/>.
 * </code>
 * 
 * @author Maurer Gilles
 *
 */
public class ThreadAddFiles extends Thread
{
	/**
	 * Rfrence  la fentre parente
	 */
	private DLUploadClientGUI gui;
	
	
	/**
	 * Liste des fichiers  ajouter quand elle est connue d'avance.
	 */
	private File[] droppedFiles;
	
	
	
	/**
	 * Constructeur par dfaut
	 * @param gui Rfrence  la fentre parent
	 */
	public ThreadAddFiles(DLUploadClientGUI gui)
	{
		this(gui, null);
		
	}

	/**
	 * Constructeur par dfaut
	 * @param gui Rfrence  la fentre parent
	 */
	public ThreadAddFiles(DLUploadClientGUI gui, File[] files)
	{
		this.gui = gui;
		this.droppedFiles = files;
	}
	


	/* (non-Javadoc)
	 * @see java.lang.Thread#run()
	 */
	@Override
	public void run()
	{
		// On empche les actions sur l'application principale
		this.gui.setApplicationState(DLUploadClientGUI.ADDINGFILES);
		this.gui.launchEventAndStatusManager();
		
		// Si on ne dispose pas encore de la liste de fichiers (Ajout depuis l'interface)
		if(this.droppedFiles == null)
		{
			// On affiche une boite de dialogue de type 'ouvrir"
			JFileChooser JFCFileBrowser = new JFileChooser();
			JFCFileBrowser.setFileSelectionMode(JFileChooser.FILES_AND_DIRECTORIES);
			JFCFileBrowser.setMultiSelectionEnabled(true);
			int resultat = JFCFileBrowser.showOpenDialog(this.gui);

			// Si l'utilisateur a appuy sur "ouvrir" on va commencer l'ajout de fichier
			if(resultat == JFileChooser.APPROVE_OPTION)
			{

				// On dmarre le thread d'affichage de la boite de dialogue modale d'attente
				ThreadWaitDialog thrWaitDialog = new ThreadWaitDialog(this.gui);
				thrWaitDialog.start();

				// On rcupre les fichier(s) et dossier(s) slectionn(s)
				File[] files = JFCFileBrowser.getSelectedFiles();

				// On envoi le tout  la fonction qui va ajouter les fichiers
				this.gui.addFile(files);

				// On "tue" la fentre d'attente
				thrWaitDialog.killme();
			}
		}
		else
		{
			// On dmarre le thread d'affichage de la boite de dialogue modale d'attente
			ThreadWaitDialog thrWaitDialog = new ThreadWaitDialog(this.gui);
			thrWaitDialog.start();


			// On envoi les fichiers  la fonction qui va ajouter les fichiers
			this.gui.addFile(this.droppedFiles);

			// On "tue" la fentre d'attente
			thrWaitDialog.killme();
		}
		
		// On libre les actions sur l'application principale
		this.gui.setApplicationState(DLUploadClientGUI.WAITING);
		this.gui.launchEventAndStatusManager();
	}
}
