package dluploadclient;
import java.util.Vector;
import com.enterprisedt.net.ftp.FTPClient;



/**
 * Cette classe permet de crer un processus lger qui permet d'annuler l'upload des fichiers
 * 
 * <p>
 * <code>
 * Copyright 2008, Maurer Gilles
 * </code>
 * <p>
 * <code>
 * This file is part of Client dl.free.fr.
 * </code>
 * <p>
 * <code>
 * Client dl.free.fr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * </code>
 *<p>
 * <code>
 * Client dl.free.fr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * </code>
 * <p>
 * <code>
 * You should have received a copy of the GNU General Public License
 * along with Client dl.free.fr. If not, see <http://www.gnu.org/licenses/>.
 * </code>
 * 
 * @author Maurer Gilles
 *
 */
public class ThreadCancel extends Thread
{
	/**
	 * Rfrence  la fentre principale
	 */
	private DLUploadClientGUI gui;
	
	/**
	 * Construteur par dfaut
	 * @param gui Rfrence  la fentre principale
	 */
	public ThreadCancel(DLUploadClientGUI gui)
	{
		this.gui = gui;
	}

	/* (non-Javadoc)
	 * @see java.lang.Thread#run()
	 */
	public void run()
	{
		// Mise  jour de l'tat de l'application
		this.gui.setApplicationState(DLUploadClientGUI.CANCELLINGTRANSFER);
		this.gui.launchEventAndStatusManager();
		
		ThreadUpload trdUpload = this.gui.getTrdUpload();
		FTPClient ftp = trdUpload.getFTPClient();
		try
		{
			trdUpload.cancelUpload();
			ftp.cancelTransfer();
		}
		catch (Exception ex)
		{
			System.out.println(ex.getMessage());
			ex.printStackTrace();
		}
		
		
		try
		{
			trdUpload.join();
		}
		catch (InterruptedException e1)
		{
			
		}
		
		// Il faut encore rinitialiser les fichier annuls, comme s'il tait des fichiers jamais transfr
		
		Vector<UploadFile> cancelledFiles = this.gui.getVectFileListCancelled();
		
		for (UploadFile uploadFile : cancelledFiles)
		{
			uploadFile.setPercentDone(0);
			uploadFile.setUrl(new String());
		}
		
		// On met  jour le statut de l'application
		this.gui.setApplicationState(DLUploadClientGUI.WAITING);
		this.gui.launchEventAndStatusManager();
	}
	
}
