/**
 * 
 */
package dluploadclient;

/**
 * Sous processus qui gre l'affichage de la boite de dialogue d'attente
 * 
 * <p>
 * <code>
 * Copyright 2008, Maurer Gilles
 * </code>
 * <p>
 * <code>
 * This file is part of Client dl.free.fr.
 * </code>
 * <p>
 * <code>
 * Client dl.free.fr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * </code>
 *<p>
 * <code>
 * Client dl.free.fr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * </code>
 * <p>
 * <code>
 * You should have received a copy of the GNU General Public License
 * along with Client dl.free.fr. If not, see <http://www.gnu.org/licenses/>.
 * </code>
 * 
 * @author Maurer Gilles
 *
 */
public class ThreadWaitDialog extends Thread
{
	/**
	 * Rfrence  la fentre parente
	 */
	private DLUploadClientGUI gui;

	/**
	 * Boite de dialog d'attente
	 */
	private JWaitDialog dialog;
	
	/**
	 * Boolen qui dit si la fentre a t tue
	 */
	private boolean killed;
	
	/**
	 * Constructeur par dfaut
	 * @param gui Rfrence  la fentre parent
	 */
	public ThreadWaitDialog(DLUploadClientGUI gui)
	{
		this.gui = gui;
		this.dialog = new JWaitDialog(this.gui,"Ajout de fichier en cours ...", true);
		this.killed = false;
	}



	/* (non-Javadoc)
	 * @see java.lang.Thread#run()
	 */
	@Override
	public void run()
	{
		
		// Si l'ajout dure moins d'une demi seconde, afficher une fentre n'est peut tre pas utile ... donc on attends :-)
		try
		{
			Thread.sleep(500);
		}
		catch (InterruptedException e)
		{
			
		}
		
		if(!this.killed)
		{
			this.dialog.setLocationRelativeTo(this.gui);
			this.dialog.setVisible(true);
			this.dialog.repaint();
		}
		
	}
	
	public void killme()
	{
		this.killed = true;
		this.dialog.dispose();
	}
	
}
