package dluploadclient;
import javax.swing.JFrame;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;


/**
 * Application qui permet d'uploader sur le service de publication de fichier visible sur http://dl.free.fr
 * 
 * <p>
 * <code>
 * Copyright 2008, Maurer Gilles
 * </code>
 * <p>
 * <code>
 * This file is part of Client dl.free.fr.
 * </code>
 * <p>
 * <code>
 * Client dl.free.fr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * </code>
 *<p>
 * <code>
 * Client dl.free.fr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * </code>
 * <p>
 * <code>
 * You should have received a copy of the GNU General Public License
 * along with Client dl.free.fr. If not, see <http://www.gnu.org/licenses/>.
 * </code>
 * 
 * @author Maurer Gilles
 *
 */
public class DLUploadClient
{

	/**
	 * Interface graphique de l'application
	 */
	private DLUploadClientGUI application;
	
	/**
	 * Lanceur de l'application 
	 * @param args Argument de l'application : aucun paramtre n'est demand
	 */
	public static void main(String[] args)
	{
		new DLUploadClient();
		

	}
	
	/**
	 * Constructeur de l'application
	 */
	public DLUploadClient()
	{
		// Paramtrage du Look&Feel natif pour le systme d'exploitation
		try
		{
	        UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
	    } 
	    catch (UnsupportedLookAndFeelException e)
	    {
	       // handle exception
	    }
	    catch (ClassNotFoundException e)
	    {
	       // handle exception
	    }
	    catch (InstantiationException e)
	    {
	       // handle exception
	    }
	    catch (IllegalAccessException e)
	    {
	       // handle exception
	    }

		// On cre la GUI
		this.application = new DLUploadClientGUI();
		
		// On la redimensionne automatiquement  la taille minimale des compoosants
		this.application.pack();
		
		// La fermeture de la fentre n'entraine rien
		this.application.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
		
		// On affiche la fentre
		this.application.setVisible(true);
		

	}

}
